// Apply black fill and remove stroke
// Copyright 2011 L'Express de Toronto Inc.
// Version 1.0
// March 11, 2011
// Written by Kasyan Servetsky
// http://www.kasyan.ho.com.ua
// e-mail: askoldich@yahoo.com
//==================================================================
if (app.documents.length == 0) ErrorExit("Please open a document and try again.");
// globals
var txt;
var gScriptName = "Apply black fill and remove stroke";
var gScriptVersion = "1.0";
var doc = app.activeDocument;
var sel = doc.selection[0];
var swatch = doc.swatches[1];
//~ $.writeln("Selected - " + sel.constructor.name);

if (doc.selection.length != 1) ErrorExit("One text frame or some text should be selected, or the cursor should be inserted into the text.");

if (sel.constructor.name == "TextFrame") { // a text frame is selected
	sel.texts[0].fillColor = doc.swatches.itemByName("Black");
	sel.texts[0].strokeColor = doc.swatches[0];
	sel.texts[0].strokeWeight = 0;
}
else if (sel.constructor.name == "Character" || // some text is selected 
	sel.constructor.name == "Word" ||
	sel.constructor.name == "TextStyleRange" ||
	sel.constructor.name == "Line" ||
	sel.constructor.name == "Paragraph" ||
	sel.constructor.name == "TextColumn" ||
	sel.constructor.name == "Text")
	{
		sel.fillColor = doc.swatches.itemByName("Black");
		sel.strokeColor = doc.swatches[0];
		sel.strokeWeight = 0;
	}
else {
	ErrorExit("One text frame or some text should be selected.");
}

//===================================== FUNCTIONS  ======================================
function ErrorExit(error, icon) {
	alert(error, gScriptName + " - " + gScriptVersion, icon);
	exit();
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------